DRM_CRTC_HELPER_SET_(9)

NAME
drm_crtc_helper_set_mode - internal helper to set a mode

SYNOPSIS

bool drm_crtc_helper_set_mode(struct drm_crtc * crtc, struct drm_display_mode * mode, int x, int y, struct drm_framebuffer * old_fb);

ARGUMENTS

crtc
    CRTC to program

mode
    mode to use

x
    horizontal offset into the surface

y
    vertical offset into the surface

old_fb
    old framebuffer, for cleanup

DESCRIPTION

Try to set mode on crtc. Give crtc and its associated connectors a chance to fixup or reject the mode prior to trying to set it. This is an internal helper that drivers could e.g. use to update properties that require the entire output pipe to be disabled and re-enabled in a new configuration. For example for changing whether audio is enabled on a hdmi link or for changing panel fitter or dither attributes. It is also called by the drm_crtc_helper_set_config helper function to drive the mode setting sequence.

RETURNS

True if the mode was set successfully, false otherwise.

AUTHORS

Jesse Barnes <jesse.barnes@intel.com>
Intel Corporation,

    Initial version

Laurent Pinchart <laurent.pinchart@ideasonboard.com>
Ideas on board SPRL,

    Driver internals

Daniel Vetter <daniel.vetter@ffwll.ch>
Intel Corporation,

    Contributions all over the place

COPYRIGHT